Subject: bug#42145: vc-git file order mismatch between vc-dir and vc-diff

From: Juri Linkov <[email-masked]>
Date: Sat, 08 Mar 2025 20:48:41 +0200

>>>> 'git diff' has a '-O' argument, which accepts <orderfile>. Maybe
>>>> it'll help, but I kind of doubt that. Ideas welcome.
>>
>>> Maybe it's possible to write a diff-mode function to sort file hunks
>>> in
>>> vc-diff output buffer?  Maybe by just giving the right file-beginning
>>> regexp to sort-subr?
>>
>> Which sort-subr?
>
> Juri, could you specify the name of the sorting function?

It seems the best candidates for NEXTRECFUN and ENDRECFUN of 'sort-subr'
are 'diff-file-next' and 'diff-file-prev', but functions for
STARTKEYFUN and ENDKEYFUN needs to be written with some use of
'diff-find-file-name'.